Bug 506319 - virtinst errors finding default bridge: upsets virt-manager
virtinst errors finding default bridge: upsets virt-manager
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-virtinst (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2009-06-16 12:44 EDT by Kenni Lund
Modified: 2009-10-07 08:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-07 08:29:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
virt-manager.log as requested (10.62 KB, text/plain)
2009-06-16 13:17 EDT, Kenni Lund
no flags Details

  None (edit)
Description Kenni Lund 2009-06-16 12:44:16 EDT
Description of problem:
If "Advanced options" in the virt-manager creation wizard is expanded, it will not be possible to complete the creation of the virtual machine without manually specifying a temporary MAC-address. Closing the advanced options or unticking the option "Set a fixed mac address" doesn't help.


Version-Release number of selected component (if applicable):
virt-manager-0.7.0-5.fc11.x86_64
python-virtinst-0.400.3-8.fc11.noarch
libvirt-0.6.2-11.fc11.x86_64
qemu-system-x86-0.10.5-2.fc11.x86_64


How reproducible:
Every time in my case.


Steps to Reproduce:
1. Start virt-manager, enter root-password.
2. Select localhost and click the button "New".
3. Enter "Test" as name and leave the "Local install media" selection.
4. Select an ISO-image and leave OS Type and Version to Generic.
5. Leave default selection of 512MB RAM and one CPU.
6. Leave default selection of a 8GB disk image and allocation of entire disk.

Now choose ONE of the following:
7a. Click "Finish" and virtual machine will be created without any issues.

7b. Expand "Advanced options" and the following default options are shown in my case:
  "Host device vnet0 (Bridge br1dmz)"
  "Set a fixed mac address": Option ticked, but the text field which should contain the mac address is empty (!!!).
  "Virt Type": kvm
  "Architecture": x86_64
Clicking on "Advanced options" once again WITHOUT CHANGING ANYTHING will apparently keep these options, even though they are not the same default options as in step 7a above. Clicking on "Finish" now, will result in the error "Error with network parameters. MAC address must be of the format AA:BB:CC:DD:EE:FF".

7c. Expand "Advanced options" and untick "Set a fixed mac address". The text field will now be greyed out and you'll be unable to enter a MAC address.
Clicking on finish now will STILL give you the error "Error with network parameters. MAC address must be of the format AA:BB:CC:DD:EE:FF".

  
Actual results:
After expanding the "Advanced options" in the wizard, you'll not be able to complete the wizard without entering a MAC address manually no matter what you do.


Expected results:
If "Advanced options" is expanded and closed, the options within "Advanced options" should not be made active. Also unticking the "Set a fixed mac address" option should not require you to set the mac address.


Additional info:

If you need more information for debugging the issue, just ask.

Network setup:
[root@vhost ~]# cat /etc/sysconfig/network-scripts/ifcfg-eth1
# Networking Interface
DEVICE=eth1
HWADDR=00:22:19:AB:C2:4D
ONBOOT=yes
BRIDGE=br1dmz
TYPE=Ethernet
BOOTPROTO=dhcp
PEERDNS=yes
PEERROUTES=yes
NAME="System eth1"
UUID=9c92fad9-6ecb-3e6c-eb4d-8a47c6f50c04

[root@vhost ~]# cat /etc/sysconfig/network-scripts/ifcfg-br1dmz
DEVICE=br1dmz
TYPE=Bridge
BOOTPROTO=static
IPADDR=192.168.3.10
NETMASK=255.255.255.0
BROADCAST=255.255.255.255
GATEWAY=192.168.3.1
DNS1=192.168.3.1
ONBOOT=yes
Comment 1 Cole Robinson 2009-06-16 12:54:53 EDT
Please provide ~/.virt-manager/virt-manager.log. Thanks!
Comment 2 Kenni Lund 2009-06-16 13:17:18 EDT
Created attachment 348135 [details]
virt-manager.log as requested

It seems like the log contains the error causing the bug :)
Comment 3 Cole Robinson 2009-06-18 11:04:38 EDT
Okay, this is actually a python-virtinst bug, fixed now:

http://hg.et.redhat.com/cgi-bin/hg-virt.cgi/applications/virtinst--devel/rev/503cd42936a9

Moving to POST.
Comment 4 Fedora Update System 2009-09-13 20:03:36 EDT
python-virtinst-0.400.3-9.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-virtinst-0.400.3-9.fc11
Comment 5 Fedora Update System 2009-09-15 03:37:04 EDT
python-virtinst-0.400.3-9.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-virtinst'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9548
Comment 6 Mark McLoughlin 2009-09-15 06:33:26 EDT
Fixed in rawhide, moving to F11VirtTarget
Comment 7 Fedora Update System 2009-10-06 23:10:17 EDT
python-virtinst-0.400.3-9.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-virtinst'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9548
Comment 8 Cole Robinson 2009-10-07 08:29:22 EDT
This should be fixed by python-virtinst-0.400.3-10.fc11 now in stable. Closing.

Note You need to log in before you can comment on or make changes to this bug.